Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Cognition/PassCorridorCollection.cpp File Reference

Implementation of class PassCorridorCollection. More...

`#include "PassCorridorCollection.h"`
`#include "Tools/Math/Common.h"`
`#include "Tools/FieldDimensions.h"`

Include dependency graph for PassCorridorCollection.cpp:

Go to the source code of this file.

## Functions
In & | operator>> (In &stream, PassCorridor &passCorridor)
| Streaming operator that reads a pass corridor from a stream.
Out & | operator<< (Out &stream, const PassCorridor &passCorridor)
| Streaming operator that writes a pass corridor to a stream.
In & | operator>> (In &stream, PassCorridorCollection &passCorridorCollection)
| Streaming operator that reads a pass corridor collection from a stream.
Out & | operator<< (Out &stream, const PassCorridorCollection &passCorridorCollection)
| Streaming operator that writes a pass corridor collection to a stream.

## Detailed Description

Implementation of class PassCorridorCollection.

Definition in file PassCorridorCollection.cpp.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | PassCorridor & | passCorridor
| ) |

  | Streaming operator that reads a pass corridor from a stream. Parameters:
  stream | The stream from which is read.
  passCorridor | The pass corridor object.
Returns: The stream. Definition at line 20 of file PassCorridorCollection.cpp.

Out& operator<< | ( | Out & | stream,
|  | const PassCorridor & | passCorridor
| ) |

  | Streaming operator that writes a pass corridor to a stream. Parameters:
  stream | The stream to write on.
  passCorridor | The pass corridor object.
Returns: The stream. Definition at line 26 of file PassCorridorCollection.cpp.

In& operator>> | ( | In & | stream,
|  | PassCorridorCollection & | passCorridorCollection
| ) |

  | Streaming operator that reads a pass corridor collection from a stream. Parameters:
  stream | The stream from which is read.
  passCorridorCollection | The pass corridor object.
Returns: The stream. Definition at line 85 of file PassCorridorCollection.cpp.

Out& operator<< | ( | Out & | stream,
|  | const PassCorridorCollection & | passCorridorCollection
| ) |

  | Streaming operator that writes a pass corridor collection to a stream. Parameters:
  stream | The stream to write on.
  passCorridorCollection | The pass corridor object.
Returns: The stream. Definition at line 93 of file PassCorridorCollection.cpp.